Skip to Content
Prets Developer Portal

List the organization’s event destinations

GET
/v1/events/destinations

to try read requests with your account, or paste an API key into the Authorization field. Create an API key in the Partner Portal.

Lists the event destinations registered for your organization. An organization can have at most one.

Returns the destinations in data, without their bearer secrets. data is an empty array when none is registered.

Response Body

Your organization's event destinations

application/json
  1. response

Event destinations registered for the authenticated organization.

data*array<>

Authorization

bearerAuth
headerAuthorizationBearer <token>
Example Request
curl -X GET 'https://api.prets.app/v1/events/destinations'
Example Response
{  "data": [    {      "destinationId": "whk_01ARZ3NDEKTSV4RRFFQ69G5FAV",      "name": "Production",      "url": "https://example.com/prets/events",      "createdAt": "2026-06-01T12:00:00.000Z",      "updatedAt": "2026-06-01T12:00:00.000Z"    }  ]}